## org.eclipse.emf.validation.service
Class EventTypeService

    java.lang.Object
      org.eclipse.emf.validation.service.EventTypeService

    public class EventTypeService

extends Object

The Event Type Service is responsible for loading the `eventTypes` Eclipse extension point and creating `EMFEventType`s for the event types that have been contributed. It provides accessor methods for retrieving `INotificationGenerator`s that have been contributed along with the `EMFEventType`s.

Since:
  1.1

Method Summary
`void` `configureEventTypes(IConfigurationElement[] elements)` Deprecated. 1.2 This method is no longer implemented
`static EventTypeService` `getInstance()` Obtains the instance of this class.
`INotificationGenerator` `getNotificationGenerator(String eventName)` Retrieves the `INotificationGenerator` associated with the given event name.
`Collection<INotificationGenerator>` `getNotificationGenerators()` Retrieves the available notification generators.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getInstance

    public static EventTypeService getInstance()

  Obtains the instance of this class.

  Returns:
    the Singleton instance

### configureEventTypes

    @Deprecated
    public void configureEventTypes(IConfigurationElement[] elements)

  Deprecated. 1.2 This method is no longer implemented

  Configures event types from the Eclipse configuration `elements` representing implementations of my extension point.

  NOTE that this method should only be called by the EMF Model Validation Plug-in, not by any client code!

  Parameters:
    `elements` -

### getNotificationGenerators

    public Collection<INotificationGenerator> getNotificationGenerators()

  Retrieves the available notification generators.

  Returns:
    collection of notification generators

### getNotificationGenerator

    public INotificationGenerator getNotificationGenerator(String eventName)

  Retrieves the `INotificationGenerator` associated with the given event name.

  Parameters:
    `eventName` -
  Returns:
    notification generator associated with the given event name, null otherwise

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.